Bug 59120 - desired feature: disable group selection if already selected in 'work with system set'
desired feature: disable group selection if already selected in 'work with sy...
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-01-31 06:19 EST by Kiat Huang
Modified: 2015-01-07 18:54 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-31 09:19:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kiat Huang 2002-01-31 06:19:03 EST
How Reproducible:

Steps to Reproduce:
1. Go to http://webapp.rwc-colo.redhat.com/network/systemlist/system_list.pxt
and login as kiat_huang

Actual Results:
When working with a set of systems in a group the list shows a host either
ticked or unticked.  But this gives the uncertainty that a host not checked may
or may not be in another group.
I would much prefer knowing that a system was in another group by having the box
greyed out or something so that i would _know_ that this host was already
assigned to a group, so i do not have to consider adding to the current working set.

Kiat Huang <khuang@redhat.com>

Expected Results:

Additional Information:
Comment 1 Jay Turner 2002-01-31 09:06:01 EST
Not really sure that I follow here.  Just because a profile is a part of one
group doesn't mean that it can't be part of another.  So, greying the selection
box and not allowing the user to select that profile to another group would
hinder the functionality of the site.  Please provide some more details about
the specific feature you would like to see.
Comment 2 Kiat Huang 2002-01-31 09:19:18 EST
OK, I didn't know that a profile could be a member of more than one group.  That
is flexible and cool.
With this in mind it would be helpful to know when working with a set that any
unticked profile is either

a) not assigned to any group


b) assigned to one or more groups.

This would be helpful in working out at a glance which profiles are not yet
assigned to a group.
Comment 3 Josef Komenda 2002-05-17 17:18:05 EDT
The /network/systemlist/system_list.pxt page just shows all systems. Ones that
are ticked are currently in the System Set Manager. For Groups, you click on the
System Group List, which lists groups. To see what groups a partiular system
belongs to, select it and click the 'group tab. 

You are correct though, there seems to be no easy way to see a list of systems
that do not belong to *any* group. Closing this and opening an RFE (bug 65123)
to add an ungrouped systems link on the 'Your RHN' page.

Note You need to log in before you can comment on or make changes to this bug.